<div class="sign-up">
    <div class="sign-up__header">
        <h3 class="m-top-1">Join Us</h3>
        <h5 class="sign-up__header--sub-header m-top-1">Create Your Account,It's Free</h5>
        <button mat-icon-button class="mat-button-icon" (click)="closeSignUpModal()">
            <mat-icon>close</mat-icon>
        </button>
    </div>
    <div class="sign-up__form">
        <mat-form-field appearance="outline">
            <mat-label>First Name</mat-label>
            <input matInput placeholder="First Name" type="text" required>
        </mat-form-field>
        <mat-form-field appearance="outline">
            <mat-label>Email</mat-label>
            <input matInput placeholder="Email" type="email" required>
        </mat-form-field>
        <mat-form-field appearance="outline">
            <input matInput [matDatepicker]="picker" placeholder="Choose a date">
            <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
            <mat-datepicker #picker></mat-datepicker>
        </mat-form-field>
        <mat-form-field appearance="outline">
            <mat-label>Password</mat-label>
            <input matInput placeholder="Password" [type]="hide ? 'password' : 'text'">
            <button mat-icon-button matSuffix (click)="hide = !hide" [attr.aria-label]="'Hide password'"
                [attr.aria-pressed]="hide">
                <mat-icon>{{hide ? 'visibility_off' : 'visibility'}}</mat-icon>
            </button>
        </mat-form-field>
        <mat-form-field appearance="outline">
            <mat-label>Confirm password</mat-label>
            <input matInput placeholder="Confirm password" [type]="hide ? 'password' : 'text'">
            <button mat-icon-button matSuffix (click)="hide = !hide" [attr.aria-label]="'Hide password'"
                [attr.aria-pressed]="hide">
                <mat-icon>{{hide ? 'visibility_off' : 'visibility'}}</mat-icon>
            </button>
        </mat-form-field>
    </div>
    <div class="sign-up__btn-container">
        <button mat-raised-button color="primary">Create Account</button>
    </div>
</div>